# TdApi.RemoveRecentSticker (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: RemoveRecentSticker

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.RemoveRecentSticker

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.RemoveRecentSticker

Enclosing class:
  TdApi

public static final class TdApi.RemoveRecentSticker extends TdApi.Function<TdApi.Ok>
Removes a sticker from the list of recently used stickers. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`isAttached`
Pass true to remove the sticker from the list of stickers recently attached to photo or video files; pass false to remove the sticker from the list of recently sent stickers.
`TdApi.InputFile`
`sticker`
Sticker file to delete.

## Constructor Summary

Constructors
Constructor
Description
`RemoveRecentSticker()`
Removes a sticker from the list of recently used stickers.
`RemoveRecentSticker(boolean isAttached, TdApi.InputFile sticker)`
Removes a sticker from the list of recently used stickers.
`RemoveRecentSticker(DataInput input)`
Removes a sticker from the list of recently used stickers.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### isAttached

public boolean isAttached
Pass true to remove the sticker from the list of stickers recently attached to photo or video files; pass false to remove the sticker from the list of recently sent stickers.

### sticker

public TdApi.InputFile sticker
Sticker file to delete.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### RemoveRecentSticker

public RemoveRecentSticker()
Removes a sticker from the list of recently used stickers. Returns `Ok`

### RemoveRecentSticker

public RemoveRecentSticker(boolean isAttached, TdApi.InputFile sticker)
Removes a sticker from the list of recently used stickers. Returns `Ok`

Parameters:
  `isAttached` - boolean Pass true to remove the sticker from the list of stickers recently attached to photo or video files; pass false to remove the sticker from the list of recently sent stickers.
  `sticker` - InputFile Sticker file to delete.

### RemoveRecentSticker

public RemoveRecentSticker(DataInput input) throws IOException
Removes a sticker from the list of recently used stickers. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`